.loader{

   position:fixed;
   inset:0;

   display:flex;

   justify-content:center;
   align-items:center;

   background:#fff;

   z-index:999999;

   transition:.25s;

}

.loader.hide{

   opacity:0;

   pointer-events:none;

}

.loader-box{

   text-align:center;

}

.spinner{

   width:60px;
   height:60px;

   margin:auto auto 25px;

   border:5px solid #ddd;
   border-top:5px solid #0078ff;

   border-radius:50%;

   animation:spin 1s linear infinite;

}

@keyframes spin{

   to{

      transform:rotate(360deg);

   }

}